GNU bug report logs - #36942
Reconfigure broke GRUB

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: ison <ison@HIDDEN>; dated Tue, 6 Aug 2019 02:36:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 36942 <at> debbugs.gnu.org:


Received: (at 36942) by debbugs.gnu.org; 15 Aug 2019 11:20:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 15 07:20:55 2019
Received: from localhost ([127.0.0.1]:50707 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hyDoM-00014e-RV
	for submit <at> debbugs.gnu.org; Thu, 15 Aug 2019 07:20:55 -0400
Received: from mx1.cock.li ([185.10.68.5]:39817 helo=cock.li)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ison@HIDDEN>) id 1hyDoI-00014M-Um
 for 36942 <at> debbugs.gnu.org; Thu, 15 Aug 2019 07:20:53 -0400
Date: Thu, 15 Aug 2019 05:20:40 -0600
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=airmail.cc; s=mail;
 t=1565868043; bh=PB/sNFI2Geeoe+cqT6ZUwVTqbBqGGbY0ri/GHrflquk=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=v5GKzmge2QAsYaWUNhecmgM62nf9n2lJVuiMfydmc7+86tNPPlM4DZlsVkPK9ZJj6
 AnX8Pa97dBMyqDF/Cc/ieFRf2OT3FruIluYJEie2mBJA7REOb28B/e20/Bjm+cX0UE
 byQ2pN+MHnjX99/FT0pX/6clCtuHS5vAqf1IsjQxvgAdeh4GtkIKQE9Mgyk9CfEfgR
 JuDd/MYbJAstVUjMIBLoJxIrq3FhD7flWVLQ3NVWfP+BOIZKHh2HFfSud5rRIBg4C5
 Baar9h6TvKFICPkeLSXAhuE+OebxhemjnRWuzcdyxpZ2FpmtRI1zNv/cWX2BM9miw9
 DS2ZD//lKockw==
From: ison <ison@HIDDEN>
To: "Jakob L. Kreuze" <zerodaysfordays@HIDDEN>
Subject: Re: bug#36942: Reconfigure broke GRUB
Message-ID: <20190815112039.d5x4ondia6osghq5@cf0>
References: <20190806023517.uvf7ukp3qprsfvpv@cf0>
 <87tvauxvxo.fsf@HIDDEN> <87o912duoo.fsf@HIDDEN>
 <20190807191628.qm3mmpmkobumhsx4@cf0>
 <87imr8n4lc.fsf@HIDDEN>
 <20190807223655.heflhqiwjwfp7dr2@cf0>
 <87r25nr0gn.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87r25nr0gn.fsf@HIDDEN>
User-Agent: NeoMutt/20180716
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 36942
Cc: 36942 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Wed, Aug 14, 2019 at 03:50:00PM -0400, Jakob L. Kreuze wrote:
> However, I still cannot seem to reproduce this issue with the most
> recent master. Everything boots fine. I've extracted the bootloader
> installation "script", and everything appears to be normal to me.

Sorry it took me so long to reply, I didn't have access to the
broken machine until now. As you requested here is the partitions as
listed by parted:

Number  Start   End     Size    File system     Name    Flags
 1      1049kB  3046kB  2097kB                  grub    bios_grub
 2      3146kB  540MB   537MB   fat32           efi     boot, esp
 3      540MB   2588MB  2048MB  linux-swap(v1)  swap
 4      2588MB  750GB   748GB   ext4            guixsd

/boot/efi looks ok as far as I can tell at least. It's tree is:
/boot/efi/
└── EFI
    ├── grub
    │   └── grubx64.efi
    ├── Guix
    │   └── grubx64.efi
    └── GuixSD
        └── grubx64.efi
All 3 grubx64.efi files differ from each other and are around 120kb.

====================================================================
But considering you can't reproduce the issue would it be a good
idea for me to reinstall and see if I can even reproduce it?
Although I think this time I would leave off the bios_grub partition
I'm willing to keep testing the current bug if it's important or
indicative of a more serious problem. But please don't feel
obligated to keep working on this just for me, I'm perfectly fine
just reinstalling. The issue doesn't seem to affect my desktop
anyway, I was able to upgrade it smoothly.

It's always possible the issue was caused by some strange
combination involving the patched bug, from earlier in the
discussion, and my weird partition layout. Might not even be worth
investigating unless it happens to someone else
(or me again after a fresh install).




Information forwarded to bug-guix@HIDDEN:
bug#36942; Package guix. Full text available.

Message received at 36942 <at> debbugs.gnu.org:


Received: (at 36942) by debbugs.gnu.org; 14 Aug 2019 19:50:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 14 15:50:15 2019
Received: from localhost ([127.0.0.1]:49707 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hxzHi-0006md-Jx
	for submit <at> debbugs.gnu.org; Wed, 14 Aug 2019 15:50:14 -0400
Received: from ol.sdf.org ([205.166.94.20]:64567 helo=mx.sdf.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zerodaysfordays@HIDDEN>)
 id 1hxzHg-0006mO-8A
 for 36942 <at> debbugs.gnu.org; Wed, 14 Aug 2019 15:50:12 -0400
Received: from Upsilon (slc-exit.privateinternetaccess.com [173.244.209.5])
 (authenticated (0 bits))
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPSA id x7EJnvUU025560
 (using TLSv1.2 with cipher AES256-GCM-SHA384 (256 bits) verified NO);
 Wed, 14 Aug 2019 19:50:05 GMT
From: zerodaysfordays@HIDDEN (Jakob L. Kreuze)
To: ison <ison@HIDDEN>
Subject: Re: bug#36942: Reconfigure broke GRUB
In-Reply-To: <20190807223655.heflhqiwjwfp7dr2@cf0> (ison@HIDDEN's message
 of "Wed, 7 Aug 2019 16:36:56 -0600")
References: <20190806023517.uvf7ukp3qprsfvpv@cf0>
 <87tvauxvxo.fsf@HIDDEN> <87o912duoo.fsf@HIDDEN>
 <20190807191628.qm3mmpmkobumhsx4@cf0> <87imr8n4lc.fsf@HIDDEN>
 <20190807223655.heflhqiwjwfp7dr2@cf0>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
Date: Wed, 14 Aug 2019 15:50:00 -0400
Message-ID: <87r25nr0gn.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="==-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36942
Cc: 36942 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--==-=-=
Content-Type: multipart/mixed; boundary="=-=-="

--=-=-=
Content-Type: text/plain

Hi ison,

ison <ison@HIDDEN> writes:

> On Wed, Aug 07, 2019, Jakob L. Kreuze wrote:
>> I'll continue to investigate; perhaps I'll be able to reproduce if I
>> copy your exact partition scheme in the virtual machine. I'm sorry that
>> you had to go through that whole 'guix init' spiel again.
>
> No problem, it's a backup machine anyway, I've held off on updating
> my main (but it doesn't use efi so maybe I can). If this is a
> problem that only I'm having and nobody else then I wonder if a
> fresh install would fix it. Although I'm surprised nobody else seems to be experiencing it.
>
> The only unusual thing I did before it broke is that I tried to consolidate my configs from 2 machines into a single one by adding case statements.
> For example at the top I had (define local-profile 'laptop)
> and then my bootloader was something like:
> (bootloader (bootloader-configuration
>              (case local-profile
>               ((desktop)
>                (bootloader grub-bootloader)
>                ...)
>               ((laptop)
>                (bootloader grub-efi-bootloader)
>                ...))))
>
> But I've since reverted back to my old config for all the subsequent
> "guix init" and reconfigures I've done, so it seems unlikely to be the
> cause but I thought I'd mention it anyway.
> Maybe having a BIOS boot partition on /dev/sda1 even though I'm using
> efi is somehow messing it up?

After some further research, I was able to create a virtual machine with
the partition scheme and bootloader configuration that you described.


--=-=-=
Content-Type: text/plain
Content-Disposition: inline; filename=config.scm

;; This is an operating system configuration template
;; for a "bare bones" setup, with no X11 display server.

(use-modules (gnu))
(use-service-modules networking ssh)
(use-package-modules screen)

(operating-system
  (host-name "komputilo")
  (timezone "Europe/Berlin")
  (locale "en_US.utf8")

  ;; Boot in "legacy" BIOS mode, assuming /dev/sdX is the
  ;; target hard disk, and "my-root" is the label of the target
  ;; root file system.
  (bootloader (bootloader-configuration
                (bootloader grub-efi-bootloader)
                (target "/boot/efi")))
  (file-systems (cons* (file-system
                         (device "/dev/sda2")
                         (mount-point "/boot/efi")
                         (type "vfat"))
                       (file-system
                         (device (file-system-label "my-root"))
                         (mount-point "/")
                         (type "ext4"))
                       %base-file-systems))

  ;; This is where user accounts are specified.  The "root"
  ;; account is implicit, and is initially created with the
  ;; empty password.
  (users (cons (user-account
                (name "alice")
                (comment "Bob's sister")
                (group "users")

                ;; Adding the account to the "wheel" group
                ;; makes it a sudoer.  Adding it to "audio"
                ;; and "video" allows the user to play sound
                ;; and access the webcam.
                (supplementary-groups '("wheel"
                                        "audio" "video")))
               %base-user-accounts))

  ;; Globally-installed packages.
  (packages (cons screen %base-packages))

  ;; Add services to the baseline: a DHCP client and
  ;; an SSH server.
  (services (append (list (service dhcp-client-service-type)
                          (service openssh-service-type
                                   (openssh-configuration
                                    (port-number 2222))))
                    %base-services)))

--=-=-=
Content-Type: text/plain


However, I still cannot seem to reproduce this issue with the most
recent master. Everything boots fine. I've extracted the bootloader
installation "script", and everything appears to be normal to me.


--=-=-=
Content-Type: text/plain
Content-Disposition: inline;
 filename=nk2c133gw3kn26bcafyx9flkwqwb5450-install-bootloader.scm

(begin
  (use-modules (gnu build bootloader)
               (gnu build install)
               (guix build utils)
               (guix store)
               (guix utils)
               (ice-9 binary-ports)
               (srfi srfi-34)
               (srfi srfi-35))
  (let* ((gc-root (string-append "/" %gc-roots-directory "/bootcfg"))
         (temp-gc-root (string-append gc-root ".new")))
    (switch-symlinks temp-gc-root "/gnu/store/xlb81742i5sb4cdmidfhabprc17ijwck-grub.cfg")
    (install-boot-config "/gnu/store/xlb81742i5sb4cdmidfhabprc17ijwck-grub.cfg" "/boot/grub/grub.cfg" "/")
    (when #t
      (catch #t
        (lambda ()
          ((lambda (bootloader efi-dir mount-point)
             (let ((grub-install (string-append bootloader "/sbin/grub-install"))
                   (install-dir (string-append mount-point "/boot"))
                   (target-esp (if (file-exists? (string-append mount-point efi-dir))
                                   (string-append mount-point efi-dir)
                                   efi-dir)))
               (setenv "GRUB_ENABLE_CRYPTODISK" "y")
               (invoke/quiet grub-install "--boot-directory" install-dir "--bootloader-id=Guix" "--efi-directory" target-esp)))
           "/gnu/store/8hbf54vl9hfgbnfigbqcf0di1agajr88-grub-efi-2.04" "/boot/efi" "/"))
        (lambda args
          (delete-file temp-gc-root)
          (apply throw args))))
    (rename-file temp-gc-root gc-root)))

--=-=-=
Content-Type: text/plain


To the rest of guix -- I would really appreciate some help here. I'm not
sure what else I can do for working on this bug report.

Regards,
Jakob

--=-=-=--

--==-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEa1VJLOiXAjQ2BGSm9Qb9Fp2P2VoFAl1UZegACgkQ9Qb9Fp2P
2VrxMw/9GINmtAio0osjDRUboFHKlGVUZIknkeOU8zRwepFi6Fb2OQhLe2cnf93l
AzyzsEryZc2xe8XhxLNEajun9wQG75YtjCJN0e+/uzsYImlhulaY26Lv6FarIpC1
eA1dnAldCZxequura1gborPKUEIgQ/rPH1XD0f9LGdziulvCAeJSRWGQNCtrcdz+
mQvRAncpKYwxiqy+fRcLoIVnEONZCpKet1+VuKKV+ULZSkH4opEaLOkfQFfnx/4Z
sOMCJlasSBdLcP5KmTBpcoiBlQUqqLZWZJgK0eESEtvlGQKQ0JyXM8X4/wdff5p6
QUTs3YNuX6g4QOYk8hWgycju80P0C5SC2TxDxTuKVJAPsu0+1RtfwwrcfFBu5k7U
WK6B6iNT3Anx+cmDXAm9kwXYOb2zr87KXTGzH1cmqSc77y3cpl51IWv9Uaf3di8F
4ZhxK5GxbJtsbjUB2pUNOFaGAbovwijjXaOjkuQD3mYOBTEw/Lq935tXeuE/oCD/
P71JoY30HNpC5sZHSzEBhHjnryUe8Z7jrNx0ANA0TW7N6BE8rO7pPMvghhnPh5r8
VUTYkV0DutJZnAPrtyaSTCpQQg+PxUcW+hKihacbF7/7tWNe6cx5GSXm/nWChv33
orf4Cu5jMBuFHVLMqhSaROOYjpWT+AO82PEAvvonsrunybyXH40=
=CiAp
-----END PGP SIGNATURE-----
--==-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#36942; Package guix. Full text available.

Message received at 36942 <at> debbugs.gnu.org:


Received: (at 36942) by debbugs.gnu.org; 7 Aug 2019 19:47:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 07 15:47:26 2019
Received: from localhost ([127.0.0.1]:39460 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hvRu9-0001pq-Pe
	for submit <at> debbugs.gnu.org; Wed, 07 Aug 2019 15:47:26 -0400
Received: from ol.sdf.org ([205.166.94.20]:53262 helo=mx.sdf.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zerodaysfordays@HIDDEN>)
 id 1hvRu7-0001ph-D0
 for 36942 <at> debbugs.gnu.org; Wed, 07 Aug 2019 15:47:24 -0400
Received: from Epsilon (pool-173-76-53-40.bstnma.fios.verizon.net
 [173.76.53.40]) (authenticated (0 bits))
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPSA id x77JlEM7002369
 (using TLSv1.2 with cipher AES256-GCM-SHA384 (256 bits) verified NO);
 Wed, 7 Aug 2019 19:47:18 GMT
From: zerodaysfordays@HIDDEN (Jakob L. Kreuze)
To: ison <ison@HIDDEN>
Subject: Re: bug#36942: Reconfigure broke GRUB
References: <20190806023517.uvf7ukp3qprsfvpv@cf0>
 <87tvauxvxo.fsf@HIDDEN> <87o912duoo.fsf@HIDDEN>
 <20190807191628.qm3mmpmkobumhsx4@cf0>
Date: Wed, 07 Aug 2019 15:43:59 -0400
In-Reply-To: <20190807191628.qm3mmpmkobumhsx4@cf0> (ison@HIDDEN's message
 of "Wed, 7 Aug 2019 13:16:28 -0600")
Message-ID: <87imr8n4lc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36942
Cc: 36942 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Hi ison,

ison <ison@HIDDEN> writes:

> I'm sorry to report that it actually didn't fix the problem.

I'll continue to investigate; perhaps I'll be able to reproduce if I
copy your exact partition scheme in the virtual machine. I'm sorry that
you had to go through that whole 'guix init' spiel again.

> Also I don't know why it didn't occur to me to mention this detail
> before, but the reason I previously thought the message mentioned in
> bug#36878 was important is because it's actually the very last thing I
> see on the command line after reconfiguring. The line I'm talking
> about is of course: shepherd: Evaluating user expression (let*
> ((services (map primitive-load (?))) # ?) ?)
>
> I'm pretty sure even if that message is normal, it's not normal for it
> to be the last line you see. Perhaps the reconfigure is dying at that
> point, or some point shortly after, without outputting any other
> errors.

Do you see a "bootloader successfully installed on ..." message earlier
in the output? 5c8c8c455 changed the order that things are done in so
that services are upgraded after the bootloader is installed.

Regards,
Jakob

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEa1VJLOiXAjQ2BGSm9Qb9Fp2P2VoFAl1LKgAACgkQ9Qb9Fp2P
2Vpb8xAAmwcmlShMxXDIOrJQVIl+EayDAF//57GaZNaKNNJL1FZqvjYiUPaxEMUU
kVdyyzNF9Ai92Juhya0NhFOGXpEdcA+7LFthowny77WLcSczMtikJcsF3ZtzFysA
tB7dgyAeMCFfZ4gC5XgNlFjASsJwjk0qq8GGptXoRm1fp6N86OgZnkp1C0XSIi2l
gqS8DzrkCYpa5rKFowwwztBLMfVxWjaJmZjfuNcVmWSRnr5Lt/9gr7WUmVCI+hx4
bzKXaiFfHwHNux8DbtP25dJlRTIFUazgtfEnLyAhhRbc49XoNB51uduxWpn8z+jG
t+oZ6xz2aiSvo0eJOQIJcJZaA9Ebs0+EYT1qoZGdYXhpuFtM8t0TcJC7a0j4AWrf
6eqh3icvn01NEvyVYePJP1EGY+k8IwuFamG0vNmo25hqvFvO4UCZexZgBxLCDA/E
XakNPJgSn+3gxsuuTATh8y6DPgnWYZz3qKGr7MBd8FEXdWu+n4u1FcNx7gEHf43z
PF6R0+8/V/tWBnzDfymkaMHbUEasEdgzgfQ5QXV8Ckl2yoMyhyRMNSZ3fzwnRtYC
i3KE706clIGLzL//8n21NMRLyO00GEBe71qU1Mp5ADR9nvWpXP1O2EOqXoI5/jt3
Xol0VnThW9PGbIIE/CKmmaPuFAnYj9YJgQ/ti40V3juq+b6flbA=
=Nw0q
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#36942; Package guix. Full text available.

Message received at 36942 <at> debbugs.gnu.org:


Received: (at 36942) by debbugs.gnu.org; 7 Aug 2019 19:16:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 07 15:16:44 2019
Received: from localhost ([127.0.0.1]:39394 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hvRQQ-0000tc-1N
	for submit <at> debbugs.gnu.org; Wed, 07 Aug 2019 15:16:42 -0400
Received: from mx1.cock.li ([185.10.68.5]:60997 helo=cock.li)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ison@HIDDEN>) id 1hvRQN-0000tK-DE
 for 36942 <at> debbugs.gnu.org; Wed, 07 Aug 2019 15:16:40 -0400
Date: Wed, 7 Aug 2019 13:16:28 -0600
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=airmail.cc; s=mail;
 t=1565205392; bh=RUd2gp2QBEBC7SHLi9HcxtqhOwCGejIcrYcg75Ypb6A=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=HdVY46YvcfwtxjHV7MgC2aj2/uN+LyR+7ME2S3DlqtMT5ysb6oaDYr6RLOqolv2BW
 7O3TmD2GSto99qnaKDBA3nXLpYZ18+nDkq+/t+F8risqj55daOlCrnnlKwCYZPNFwG
 oAFzYNIDjyS28EB0MnjK5suDbFxOfJefTYJxyFzJPElkIy96+Pqw0i0vlJBdYypMcn
 hVE8s7XeQZ30NhmgruMdXavpJf1J9eVvL9yhB+grW1PBdAjEZI1bMx92KG6uNv/227
 +RfZHrLQd1Uq0D1tUMrkwCKC38HjYh4lILh+m/XcLtTuQcDZS7d2I48Tpi6RoYG8gZ
 WVgKJpxxyO92A==
From: ison <ison@HIDDEN>
To: "Jakob L. Kreuze" <zerodaysfordays@HIDDEN>
Subject: Re: bug#36942: Reconfigure broke GRUB
Message-ID: <20190807191628.qm3mmpmkobumhsx4@cf0>
References: <20190806023517.uvf7ukp3qprsfvpv@cf0>
 <87tvauxvxo.fsf@HIDDEN> <87o912duoo.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <87o912duoo.fsf@HIDDEN>
User-Agent: NeoMutt/20180716
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 36942
Cc: 36942 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Tue, Aug 06, 2019 at 02:18:15PM -0400, Jakob L. Kreuze wrote:
> Hi ison,
> 
> I wasn't able to reproduce with an OVMF virtual machine, but the
> symptoms you've described lead me to suspect that the issue concerns
> improper installation of a GC root for grub. Would you be willing to see
> if the patch provided by #36947 fixes your issue?

I'm sorry to report that it actually didn't fix the problem.

Also I don't know why it didn't occur to me to mention this detail
before, but the reason I previously thought the message mentioned
in bug#36878 was important is because it's actually the very last
thing I see on the command line after reconfiguring. The line I'm
talking about is of course:
shepherd: Evaluating user expression (let* ((services (map primitive-load (?))) # ?) ?)

I'm pretty sure even if that message is normal, it's not normal
for it to be the last line you see.
Perhaps the reconfigure is dying at that point, or some point
shortly after, without outputting any other errors.




Information forwarded to bug-guix@HIDDEN:
bug#36942; Package guix. Full text available.

Message received at 36942 <at> debbugs.gnu.org:


Received: (at 36942) by debbugs.gnu.org; 6 Aug 2019 21:53:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 06 17:53:34 2019
Received: from localhost ([127.0.0.1]:37926 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hv7Of-0007vS-TX
	for submit <at> debbugs.gnu.org; Tue, 06 Aug 2019 17:53:34 -0400
Received: from dd26836.kasserver.com ([85.13.145.193]:56064)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1hv7Oc-0007vI-3p
 for 36942 <at> debbugs.gnu.org; Tue, 06 Aug 2019 17:53:31 -0400
Received: from localhost (77.117.217.54.wireless.dyn.drei.com [77.117.217.54])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id ED97033697CC;
 Tue,  6 Aug 2019 23:53:27 +0200 (CEST)
Date: Tue, 6 Aug 2019 23:53:22 +0200
From: Danny Milosavljevic <dannym@HIDDEN>
To: zerodaysfordays@HIDDEN (Jakob L. Kreuze)
Subject: Re: bug#36942: Reconfigure broke GRUB
Message-ID: <20190806235322.79ba57fe@HIDDEN>
In-Reply-To: <878ss6xeg4.fsf@HIDDEN>
References: <20190806023517.uvf7ukp3qprsfvpv@cf0>
 <87tvauxvxo.fsf@HIDDEN> <87o912duoo.fsf@HIDDEN>
 <20190806214420.7c465ecc@HIDDEN>
 <878ss6xeg4.fsf@HIDDEN>
X-Mailer: Claws Mail 3.17.3 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 boundary="Sig_/tb4ACGzRU7SQSMEcHxCDPqB"; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36942
Cc: ison <ison@HIDDEN>, 36942 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/tb4ACGzRU7SQSMEcHxCDPqB
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

Hi Jakob,

On Tue, 06 Aug 2019 15:48:43 -0400
zerodaysfordays@HIDDEN (Jakob L. Kreuze) wrote:

> Danny Milosavljevic <dannym@HIDDEN> writes:
>=20
> > Hi,
> >
> > I've examined /var/guix/gcroots without #36947 and I get:
> >
> > lrwxrwxrwx 1 root root   18 24. Jul 11:32 profiles -> /var/guix/profiles
> > lrwxrwxrwx 1 root root   19 24. Jul 11:32 current-system -> /run/curren=
t-system
> > lrwxrwxrwx 1 root root   18 24. Jul 11:32 booted-system -> /run/booted-=
system
> > lrwxrwxrwx 1 root root   26 29. Jul 22:26 bootcfg -> //var/guix/gcroots=
/bootcfg
> >
> > So I guess I'm one "guix gc" away from also destroying my
> > installation. =20
>=20
> Was this fixed after applying #36947?

Yes.

> > The double slash looks very suspicious... =20
>=20
> Any reason in particular? The second slash is there because
> '%gc-roots-directory' has a leading slash, and that gets appended to
> 'target', which in this case is '/'.

Ah okay.

--Sig_/tb4ACGzRU7SQSMEcHxCDPqB
Content-Type: application/pgp-signature
Content-Description: Digitale Signatur von OpenPGP

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAl1J9tIACgkQ5xo1VCww
uqUUsAf/ZZ8o8t6nyVfmrayN5SZhgbD6rCBLbrHqQhduDZxAwECewkjcqPBCSqtT
AI0zvDJF/VbXic6q9pgWfZdiDjT8FiCs3VNzqq0bmHthzOIBq0jxZNo1p0xIJZ7b
6qc7A7jVc9S37LDIh1cUGPDGhILVOww4aWcQXnfJINtb37oEq/dys+Z0yZywL07k
hHOWtUJuCQMzgfdaXoBLWXiezBG6Ildr/6te24yWLdUfmC5PvMn9XQ8Ul6Z2LAtt
iDHiUb36eWVtbHq0T8lXX6h6oyeqUzGE0/1C2jeLZV8oMk0hbYZGKekAnlZ1Ovrs
ET6+LQoATehXlALm6MmFIp189w5+HQ==
=L1M/
-----END PGP SIGNATURE-----

--Sig_/tb4ACGzRU7SQSMEcHxCDPqB--




Information forwarded to bug-guix@HIDDEN:
bug#36942; Package guix. Full text available.

Message received at 36942 <at> debbugs.gnu.org:


Received: (at 36942) by debbugs.gnu.org; 6 Aug 2019 19:52:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 06 15:52:05 2019
Received: from localhost ([127.0.0.1]:37820 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hv5V7-0004Y3-C0
	for submit <at> debbugs.gnu.org; Tue, 06 Aug 2019 15:52:05 -0400
Received: from mx.sdf.org ([205.166.94.20]:63933)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zerodaysfordays@HIDDEN>)
 id 1hv5V3-0004Xc-Ed
 for 36942 <at> debbugs.gnu.org; Tue, 06 Aug 2019 15:52:03 -0400
Received: from Epsilon (pool-173-76-53-40.bstnma.fios.verizon.net
 [173.76.53.40]) (authenticated (0 bits))
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPSA id x76JpqaS009147
 (using TLSv1.2 with cipher AES256-GCM-SHA384 (256 bits) verified NO);
 Tue, 6 Aug 2019 19:51:56 GMT
From: zerodaysfordays@HIDDEN (Jakob L. Kreuze)
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: bug#36942: Reconfigure broke GRUB
References: <20190806023517.uvf7ukp3qprsfvpv@cf0>
 <87tvauxvxo.fsf@HIDDEN> <87o912duoo.fsf@HIDDEN>
 <20190806214420.7c465ecc@HIDDEN>
Date: Tue, 06 Aug 2019 15:48:43 -0400
In-Reply-To: <20190806214420.7c465ecc@HIDDEN> (Danny Milosavljevic's
 message of "Tue, 6 Aug 2019 21:44:20 +0200")
Message-ID: <878ss6xeg4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36942
Cc: ison <ison@HIDDEN>, 36942 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Hi Danny,

Danny Milosavljevic <dannym@HIDDEN> writes:

> Hi,
>
> I've examined /var/guix/gcroots without #36947 and I get:
>
> lrwxrwxrwx 1 root root   18 24. Jul 11:32 profiles -> /var/guix/profiles
> lrwxrwxrwx 1 root root   19 24. Jul 11:32 current-system -> /run/current-system
> lrwxrwxrwx 1 root root   18 24. Jul 11:32 booted-system -> /run/booted-system
> lrwxrwxrwx 1 root root   26 29. Jul 22:26 bootcfg -> //var/guix/gcroots/bootcfg
>
> So I guess I'm one "guix gc" away from also destroying my
> installation.

Was this fixed after applying #36947?

> The double slash looks very suspicious...

Any reason in particular? The second slash is there because
'%gc-roots-directory' has a leading slash, and that gets appended to
'target', which in this case is '/'.

Regards,
Jakob

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEa1VJLOiXAjQ2BGSm9Qb9Fp2P2VoFAl1J2ZsACgkQ9Qb9Fp2P
2VpXZA//bcbJgOXA+3lSaO4PW1zBWYjwh3HU9QEl1CLz2NJRgMbeatoa9q0zVRbx
xKYFhPakekDwjtGqmbWUdfTkvvvSzlkTE+KTfSKM9L+k8deqtKbEdEOUuS3ovK78
z0R1BitMHSSZjxq1R3AxxfjLC0Iwh+dNpkn87409rld1dXWleClMeUq3ACjfumJo
EU0Svfr75MI1X9o6+0xMMGhxuiFpLJM5qM9//8DhWFyITlsQu+6595niMt1U+Cip
fBAlqFtoZiVcqCRFypCWnbFvGNw49UbqV5c6vdpFAATbkJHUv4NnonCytzOAh65J
SP1OwcdxijHca3qORwMjEhGXsS2dxIfXglkzh0HGCObUk5vBywPEH/AwYKagODD5
y9d7XHGOx/Yh4sgeMTa7Ii02JEx8DdjmeHgZEjg3oUOI2yXVwP+j6Nfts6p0or5+
EEvS0aOR46dLiOlloTC212GIPrPyTMpmoeGpT/By2HfO/TuzKGXxrL9IxF5jehlG
Xm/ZH/Zhedn36eI/d4/tK9P9g/bRcO+TPPhYYTnddk1dIRHZwkXWLvV+OJrcKr5k
PQIIsaWIwcFY5MpHSC77Icoq/V06QczP2qND59F3eukkiYOnZDkKXqFAMHUFe04Q
rRf4RBYWALWTz3QHJ5Q1It+ZdeMFESRok7ciFcJqG8ouM87ePlc=
=LltY
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#36942; Package guix. Full text available.

Message received at 36942 <at> debbugs.gnu.org:


Received: (at 36942) by debbugs.gnu.org; 6 Aug 2019 19:44:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 06 15:44:31 2019
Received: from localhost ([127.0.0.1]:37816 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hv5Nn-0004Lh-HH
	for submit <at> debbugs.gnu.org; Tue, 06 Aug 2019 15:44:31 -0400
Received: from dd26836.kasserver.com ([85.13.145.193]:43396)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1hv5Nm-0004LY-27
 for 36942 <at> debbugs.gnu.org; Tue, 06 Aug 2019 15:44:30 -0400
Received: from localhost (77.117.217.54.wireless.dyn.drei.com [77.117.217.54])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id 6CD2833697E4;
 Tue,  6 Aug 2019 21:44:27 +0200 (CEST)
Date: Tue, 6 Aug 2019 21:44:20 +0200
From: Danny Milosavljevic <dannym@HIDDEN>
To: zerodaysfordays@HIDDEN (Jakob L. Kreuze)
Subject: Re: bug#36942: Reconfigure broke GRUB
Message-ID: <20190806214420.7c465ecc@HIDDEN>
In-Reply-To: <87o912duoo.fsf@HIDDEN>
References: <20190806023517.uvf7ukp3qprsfvpv@cf0>
 <87tvauxvxo.fsf@HIDDEN> <87o912duoo.fsf@HIDDEN>
X-Mailer: Claws Mail 3.17.3 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 boundary="Sig_/O/1ItX9jNcTI+UWlF0V6zrL"; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36942
Cc: ison <ison@HIDDEN>, 36942 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/O/1ItX9jNcTI+UWlF0V6zrL
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

Hi,

I've examined /var/guix/gcroots without #36947 and I get:

lrwxrwxrwx 1 root root   18 24. Jul 11:32 profiles -> /var/guix/profiles
lrwxrwxrwx 1 root root   19 24. Jul 11:32 current-system -> /run/current-sy=
stem
lrwxrwxrwx 1 root root   18 24. Jul 11:32 booted-system -> /run/booted-syst=
em
lrwxrwxrwx 1 root root   26 29. Jul 22:26 bootcfg -> //var/guix/gcroots/boo=
tcfg

So I guess I'm one "guix gc" away from also destroying my installation.

The double slash looks very suspicious...

--Sig_/O/1ItX9jNcTI+UWlF0V6zrL
Content-Type: application/pgp-signature
Content-Description: Digitale Signatur von OpenPGP

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAl1J2JQACgkQ5xo1VCww
uqXR2Af/T/dahsdCPvtl94P3u0m+NTtM3LGVV/nf8Fv1KpiwMwnoaYkblMGJvfVr
oXsYZApBCwrdFvHR2Cx2Wnm8DKpszONHevgAiuo/PSkNfxhAHEddc0gyiioBXXco
hLR4jShYAWLDt7OqMVNWRvz9J7UcftvF5TnheZrmV9TgTDEg2Wks+/2/0OuWEaBP
4N4QHSqD3KvTykvsGuzghIF7LXOa8uPZb215XOqubscqfsFUHZqoTCdCYgsHcL5y
YAEvhHc6TEDd8P8q+pIi3spQREEmuCZlBHr+dO5Tkj6C/KqjXinp7M3MSofG1PDa
As6pgHi/PwE5Q3yvB6V26IFWHpqwmA==
=y1nC
-----END PGP SIGNATURE-----

--Sig_/O/1ItX9jNcTI+UWlF0V6zrL--




Information forwarded to bug-guix@HIDDEN:
bug#36942; Package guix. Full text available.

Message received at 36942 <at> debbugs.gnu.org:


Received: (at 36942) by debbugs.gnu.org; 6 Aug 2019 18:18:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 06 14:18:37 2019
Received: from localhost ([127.0.0.1]:37744 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hv42e-00044N-Qa
	for submit <at> debbugs.gnu.org; Tue, 06 Aug 2019 14:18:36 -0400
Received: from mx.sdf.org ([205.166.94.20]:51929)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zerodaysfordays@HIDDEN>)
 id 1hv42a-00044C-KX
 for 36942 <at> debbugs.gnu.org; Tue, 06 Aug 2019 14:18:35 -0400
Received: from Upsilon (mobile-166-172-60-111.mycingular.net [166.172.60.111])
 (authenticated (0 bits))
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPSA id x76IIFZs028780
 (using TLSv1.2 with cipher AES256-GCM-SHA384 (256 bits) verified NO);
 Tue, 6 Aug 2019 18:18:27 GMT
From: zerodaysfordays@HIDDEN (Jakob L. Kreuze)
To: ison <ison@HIDDEN>
Subject: Re: bug#36942: Reconfigure broke GRUB
References: <20190806023517.uvf7ukp3qprsfvpv@cf0>
 <87tvauxvxo.fsf@HIDDEN>
Date: Tue, 06 Aug 2019 14:18:15 -0400
In-Reply-To: <87tvauxvxo.fsf@HIDDEN> (Jakob L. Kreuze's message of
 "Tue, 06 Aug 2019 09:30:59 -0400")
Message-ID: <87o912duoo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36942
Cc: 36942 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Hi ison,

I wasn't able to reproduce with an OVMF virtual machine, but the
symptoms you've described lead me to suspect that the issue concerns
improper installation of a GC root for grub. Would you be willing to see
if the patch provided by #36947 fixes your issue?

Regards,
Jakob

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEa1VJLOiXAjQ2BGSm9Qb9Fp2P2VoFAl1JxGcACgkQ9Qb9Fp2P
2VrG3Q/9EdT2QuIE6NdB+SOpH3cN2KVZHilcRRff14O2obfeYR1y9fQSHHEKwqbA
Ke0fz0qfvSHV4tzPuR8g6ClgZMnlW/7A0qY1oP67p9qeSB9iYBDMv/IKsyqKZ0Ye
D3/eOW74Vs200ti7oWN9fnoUOWAsucIrM/i6taaJ+B2ow+SeYS9b2/+yVBa9P/1v
vJd+f0INLlPVJIOAk5tSgPwve8OGq89oRBfPTbTX9gUSY8OH4IYnETI0+cqHB5DO
hro6znXhcJvT4f4atmwQ1QqTaFtJ1AVOtdmc4KaMCx2RgTTSe4cQZgod1Obn7+Zz
fSTyTK2u3n9f4pqP80Cm2jFLMTPNeE7CGhpfYRNfsnYFKv1sx8oO+hj+yrSPVf9v
6n3babz/gC6TB5lhWen2ji9ARZ4Rd1hP8hkc0CDVBSu2+soDAdV/Xi4t2bwXxBDR
xGRF9iXz5iZ6gdA46Yv5h0ZDmI3U5/65KjqnG+GdlsTJtx8GGqQ7libwxwkqHRXT
OkYIztFTV8n7kqzQ36ttE/a4QDA0zUfj9p4U3Q/fkwS//Q7VH0BzUbCazhQtFheo
4vJiWfsu1AQhauxKcNT+WzEUTy5liYh7wArXyHboenJEAai+3aVjXhanraY5Pfe3
NQNxdlV/uHE5ApM30sOH1Q29ukHsHQYdj6et6hiXBFLKtOGf8EA=
=WCeA
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#36942; Package guix. Full text available.

Message received at 36942 <at> debbugs.gnu.org:


Received: (at 36942) by debbugs.gnu.org; 6 Aug 2019 13:34:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 06 09:34:18 2019
Received: from localhost ([127.0.0.1]:36595 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1huzbW-0000eO-4I
	for submit <at> debbugs.gnu.org; Tue, 06 Aug 2019 09:34:18 -0400
Received: from mx.sdf.org ([205.166.94.20]:54434)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zerodaysfordays@HIDDEN>)
 id 1huzbR-0000eB-JE
 for 36942 <at> debbugs.gnu.org; Tue, 06 Aug 2019 09:34:16 -0400
Received: from Epsilon (pool-173-76-53-40.bstnma.fios.verizon.net
 [173.76.53.40]) (authenticated (0 bits))
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPSA id x76DY7W3001881
 (using TLSv1.2 with cipher AES256-GCM-SHA384 (256 bits) verified NO);
 Tue, 6 Aug 2019 13:34:08 GMT
From: zerodaysfordays@HIDDEN (Jakob L. Kreuze)
To: ison <ison@HIDDEN>
Subject: Re: bug#36942: Reconfigure broke GRUB
References: <20190806023517.uvf7ukp3qprsfvpv@cf0>
Date: Tue, 06 Aug 2019 09:30:59 -0400
In-Reply-To: <20190806023517.uvf7ukp3qprsfvpv@cf0> (ison@HIDDEN's message
 of "Mon, 5 Aug 2019 20:35:18 -0600")
Message-ID: <87tvauxvxo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36942
Cc: 36942 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Hi ison,

Thanks for opening a new ticket for tracking this.

ison <ison@HIDDEN> writes:

> Continuing this issue from https://issues.guix.gnu.org/issue/36878
>
> guix reconfigure recently broke GRUB for me. When rebooting I get
> dropped to a "grub rescue>" shell with an error about
> "grub_file_filters" being an unknown symbol.
> If I try doing the usual commands to tell GRUB how to boot I just
> see the above error repeated, or "unknown command" when I run
> things such as insmod or "configfile".
>
> So to fix the problem I can boot to a Guix install disk and do
> "guix init" which rebuilds the system using older package
> definitions from the disk.
> That allows me to get a working system, but if I do another
> "guix pull" and reconfigure using the same config file it breaks
> GRUB again when I reboot. "guix describe" shows that my latest
> attempt was with commit 35600cd.
>
> Here is the bootloader and filesystem sections of my config:
>   (bootloader (bootloader-configuration
>                 (bootloader grub-efi-bootloader)
>                 (target "/boot/efi")))
>   (file-systems (cons* (file-system
>                          (device "/dev/sda2")
>                          (mount-point "/boot/efi")
>                          (type "vfat"))
>                        (file-system
>                          (device (file-system-label "guixsd-root"))
>                          (mount-point "/")
>                          (type "ext4"))
>                        %base-file-systems))

This narrows it down quite a bit -- I suspect that we're broken for
'grub-efi-bootloader', since I've been able to successfully reconfigure
with 'grub-bootloader' on both of my machines.

> I should make a note that I usually don't use efi, and I'm not
> completely confident it's all set up properly. I do have a
> "BIOS boot" partition on /dev/sda1 too, is that even needed with
> efi?

I don't believe so. I think the ESP partition on /dev/sda2 is all you
need.

> Although, I have been using this setup, and the above
> definitions, for about 6 months now without any bootloader or
> filesystem issues. And the same config is being used to fix the
> system when GRUB breaks as well as to reconfigure afterward
> (causing the breakage). So my guess is some new update is the
> culprit.

It certainly sounds like it, and I'm the last person to have touched the
bootloader installation code :)

I'll look into this ASAP. Thanks again for the bug report!

Regards,
Jakob

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEa1VJLOiXAjQ2BGSm9Qb9Fp2P2VoFAl1JgRMACgkQ9Qb9Fp2P
2VpLCg/5ATK1puUb/E0fEl4gGa3+TMr3EvJBD+y4RO/b2acfM1ee4oKmk1DA9QKS
WlVgUn0sFuJk09sm+tLoBle3CFDVRowSaAABvGEHw+LUZGUK1OoSm2pTvHBQoeU5
J/GbXmW54FdS4prmEN+iPTt9GDnfEjH0BlkBK3p5aLtXzf5alc6xUwTcqwxOaXad
hRjabSgIXr/58BYhTVhPczohq1aXxEUOXJIt0Vt30ALwlT9Y/V/ocCNoJWDRnsql
2YI4Yu5h1JZp9K3MrMXyqXlp5HtETHnWB+xDvuo2tI120AO7M1fmHmNVzmw8ia/Q
wTIqxF5xZJczmw5H+/8fO2pI9wWAOyCMczU6w7k27+1YCHhIgWtRA0cSU8gwGf06
QDS2xFkZ+ADDGzu/QD48cxonIjK8canlT0P7lfttvEdhIiIT3KcIEgJB6hTGewtw
yDtBTG7CO9L27EjDJNGWWB2XUGCQmf/edoh64TEXlnku6c4ennI5g3zd5iqwddhI
xqjNr+A9kz+5+q+Fr0WCbVoorMf9usDRnXkFsiYTteDRoLq/WVjQbmRYZ8nPgLej
Tdwg9bWnBAN1iS6fB+wtJEQRJCXLl0luA0c0V8hpYofQ0EkYqWPleYRriAc9t92J
ARrcOeKdUJZyFkuN3qNlWxzYW8/iT81nQkBQZceDwW5zBDv3Z5s=
=NW4o
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#36942; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Aug 2019 02:35:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 05 22:35:31 2019
Received: from localhost ([127.0.0.1]:36086 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hupJz-0006cZ-J4
	for submit <at> debbugs.gnu.org; Mon, 05 Aug 2019 22:35:31 -0400
Received: from lists.gnu.org ([209.51.188.17]:48801)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ison@HIDDEN>) id 1hupJw-0006cQ-8e
 for submit <at> debbugs.gnu.org; Mon, 05 Aug 2019 22:35:29 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:52646)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <ison@HIDDEN>) id 1hupJv-0004VB-0j
 for bug-guix@HIDDEN; Mon, 05 Aug 2019 22:35:28 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ison@HIDDEN>) id 1hupJt-0001sl-RH
 for bug-guix@HIDDEN; Mon, 05 Aug 2019 22:35:26 -0400
Received: from cock.li ([2a06:1700:0:b::c0cc]:59670)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <ison@HIDDEN>) id 1hupJt-0001rW-9k
 for bug-guix@HIDDEN; Mon, 05 Aug 2019 22:35:25 -0400
Date: Mon, 5 Aug 2019 20:35:18 -0600
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=airmail.cc; s=mail;
 t=1565058921; bh=BZfMRquvxYqO4X3lC6+qiI3UycV7CJeXeAHJxpUTMdc=;
 h=Date:From:To:Subject:From;
 b=u78fxpKiWVzDASjuJP0bgXx8I2OQ8R4g3YroNCQaSsY88ASYacycsLLVKNvorvzWH
 HZjAZcvRALKgj74lBHvpzxdV/iCWmViD1T24Bq+sNjqbBTRfD1aqAaQ3EvE73SDa6T
 AJH9GmVMTpZWPdE4vUN7U+xpbA+1TQtY370j3us9eXY8YFk6n9fn/9ctEhzAJb/SbI
 g1ZeqZ3LxG0MWhQZGaqE8KEhtO2swfBQPE9frGQKpZyyWfQjVR/t9COmZakDtfjRAD
 QT+cYUD+ruqINvSKxovHJmRztAAkaBYLAnpgdEeS9vZAfgrQj0nWTNEgN/evTOYT+F
 Uv6/HdYbLJaPg==
From: ison <ison@HIDDEN>
To: bug-guix@HIDDEN
Subject: Reconfigure broke GRUB
Message-ID: <20190806023517.uvf7ukp3qprsfvpv@cf0>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: NeoMutt/20180716
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a06:1700:0:b::c0cc
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Continuing this issue from https://issues.guix.gnu.org/issue/36878

guix reconfigure recently broke GRUB for me. When rebooting I get
dropped to a "grub rescue>" shell with an error about
"grub_file_filters" being an unknown symbol.
If I try doing the usual commands to tell GRUB how to boot I just
see the above error repeated, or "unknown command" when I run
things such as insmod or "configfile".

So to fix the problem I can boot to a Guix install disk and do
"guix init" which rebuilds the system using older package
definitions from the disk.
That allows me to get a working system, but if I do another
"guix pull" and reconfigure using the same config file it breaks
GRUB again when I reboot. "guix describe" shows that my latest
attempt was with commit 35600cd.

Here is the bootloader and filesystem sections of my config:
  (bootloader (bootloader-configuration
                (bootloader grub-efi-bootloader)
                (target "/boot/efi")))
  (file-systems (cons* (file-system
                         (device "/dev/sda2")
                         (mount-point "/boot/efi")
                         (type "vfat"))
                       (file-system
                         (device (file-system-label "guixsd-root"))
                         (mount-point "/")
                         (type "ext4"))
                       %base-file-systems))

I should make a note that I usually don't use efi, and I'm not
completely confident it's all set up properly. I do have a
"BIOS boot" partition on /dev/sda1 too, is that even needed with
efi? Although, I have been using this setup, and the above
definitions, for about 6 months now without any bootloader or
filesystem issues. And the same config is being used to fix the
system when GRUB breaks as well as to reconfigure afterward
(causing the breakage). So my guess is some new update is the
culprit.




Acknowledgement sent to ison <ison@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#36942; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 15 Aug 2019 11:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.